
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class V1::VersionsController < ApplicationController
  include ::ResourceModel

  # GET v1/learning_objects/1/versions
  # GET v1/learning_objects/1/versions.json
  def index
    render json: resource_model.versions
  end

  # GET v1/learning_objects/1/versions/123
  # GET v1/learning_objects/1/versions/123.json
  def show
    resource = PaperTrail::Version.find(params[:id])
    render json: resource
  end

  # POST /learning_objects/1/versions/234/checkout
  def checkout
    resource = PaperTrail::Version.find(params[:id]).reify
    if resource.save
      render json: resource
    else
      render status: :unprocessable_entity
    end
  end

end
