
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

##
# This service represents the Gitlab Bug Reporter
#  The client can report a bug, that will be created an issue for PortalMEC project.
class GitlabBugreporterService
  PORTALMEC_PROJECT_ID = 633

  def initialize(gitlab_client)
    @gitlab = gitlab_client
  end

  ##
  # create an issue on gitlab for reported bug
  # returns boolean
  def report(bug)
    @gitlab.create_issue PORTALMEC_PROJECT_ID, bug.title, description: bug.description
    true
  end

end