
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.
if Rails.env.production?
  login = ENV['PORTALMEC_ELASTICSEARCH_LOGIN']
  pass = ENV['PORTALMEC_ELASTICSEARCH_PASSWORD']
  host = ENV['PORTALMEC_ELASTICSEARCH_HOST']
  port = ENV['PORTALMEC_ELASTICSEARCH_PORT']
  elasticsearch_client = Elasticsearch::Client.new(
    url: host + ":" + port,
    transport_options: {
      request: {
        timeout: 550
      },
      headers: {
        Authorization: "Basic " + Base64.strict_encode64(login + ":" + pass)
      }
    }
  )
elsif Rails.env.test?
  elasticsearch_client = Elasticsearch::Client.new(
    url: 'elasticsearch:9200',
    transport_options: {request: {timeout: 550}}
  )
else
  elasticsearch_client = Elasticsearch::Client.new(
    url: 'localhost:9200',
    transport_options: {request: {timeout: 550}}
  )
end

Searchkick.client = elasticsearch_client
