
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)
Role.create(name: 'teacher', description: 'This role represents a Teacher in Portal MEC.')
Role.create(name: 'student', description: 'This role represents a Student in Portal MEC.')
Role.create(name: 'admin', description: 'This role represents an MEC Admin, that can perform any action.')
Role.create(name: 'curator', description: 'This role represents a content Curator in Portal MEC.')
Role.create(name: 'moderator', description: 'This role represents a content Moderator in Portal MEC, with less privileges than admin.')
Role.create(name: 'supervisor', description: 'This role represents an user Supervisor in Portal MEC.')
Role.create(name: 'editor', description: 'This role represents a content Supervisor in Portal MEC, with less privileges than admin.')
Role.create(name: 'submitter', description: 'This role represents a content submitter in Portal MEC.')
Role.create(name: 'partner', description: 'This role represents a partner Portal MEC.')
Role.create(name: 'publisher', description: 'This role represents a content publisher without supervision in Portal MEC.')

# create the default admin
User.create(
  email: 'admin@inf.ufpr.br',
  name: 'admin',
  password: '123mudar',
  roles: [Role.admin]
)

# data for portalmec
require_relative 'seeds/complaints'
require_relative 'seeds/institutions'
require_relative 'seeds/languages'
require_relative 'seeds/licenses'
require_relative 'seeds/object_types'
require_relative 'seeds/ratings'
require_relative 'seeds/scores'
require_relative 'seeds/subjects'
require_relative 'seeds/educational_stages'
