
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

def subjects
  [
    {name:'Arte'},
    {name:'Biologia'},
    {name:'Ciências da Natureza'},
    {name:'Educação Física'},
    {name:'Ensino Religioso'},
    {name:'Filosofia'},
    {name:'Física'},
    {name:'Geografia'},
    {name:'História'},
    {name:'Língua Portuguesa'},
    {name:'Língua Espanhola'},
    {name:'Língua Inglesa'},
    {name:'Outras Línguas'},
    {name:'Matemática'},
    {name:'Química'},
    {name:'Sociologia'},
    {name:'Outros'},
    {name:'Direitos Humanos', theme: true},
    {name:'Educação Ambiental', theme: true},
    {name:'Educação do Campo', theme: true},
    {name:'Educação Especial', theme: true},
    {name:'Educação Indígena', theme: true},
    {name:'Educação Quilombola', theme: true},
    {name:'Educação Sexual', theme: true}
  ]
end

def updates
  {
    'Espanhol': 'Língua Espanhola',
    'Inglês': 'Língua Inglesa',
    'Informática/Computação': 'Informática'
  }
end

updates.each do |old, new_name|
  s = Subject.where(name: old).first
  if Subject.where(name: new_name).first.nil?
    if s.nil?
      Subject.create(name: new_name)
    else
      s.update(name: new_name)
    end
  end
end

subjects.each do |subject|
  Subject.where(subject).first_or_create
end
