
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module Log
  class DatabaseLogger < Logger

    CREATE = 5
    SELECT = 6
    UPDATE = 7
    DELETE = 8

    SEVS = %w(DEBUG INFO WARN ERROR FATAL CREATE SELECT UPDATE DELETE)
    def format_severity(severity)
      SEVS[severity] || 'ANY'
    end

    def create(progname = nil, &block)
      add(5, nil, progname, &block) unless @db_lvl < 5
    end

    def select(progname = nil, &block)
      add(6, nil, progname, &block) unless @db_lvl < 6
    end

    def update(progname = nil, &block)
      add(7, nil, progname, &block) unless @db_lvl < 7
    end

    def delete(progname = nil, &block)
      add(8, nil, progname, &block) unless @db_lvl < 8
    end

    def level=(lvl)
      @db_lvl = lvl
      @level = lvl >= 5 ? 1 : lvl
    end

  end
end