namespace :submission do
  desc 'Assign not evaluated submission to more curators'
  task reassign: :environment do
    submissions = Submission.where('status=? AND updated_at<?', Submission.statuses["submitted"], 7.day.ago)
    
    submissions.each do |s|
      old_curators = CuratorAssignment.select("user_id").where(submission_id: s.id)
      CuratorAssignmentsService.new(s, old_curators).assign
      s.touch
    end
  end

  desc 'Destroy submissions to the same LearningObject, along with its activities'
  task destroy_repeated: :environment do
    lo_hash = Submission.select(:learning_object_id).group(:learning_object_id).having("count(*) > 1").count
    lo_hash.keys.each do |id|
      p "Removing repeated submissions from LearningObject = #{id}"
      p "Total = #{lo_hash[id]}"
      subs = Submission.where(learning_object_id: id).limit(lo_hash[id] - 1)
      subs.each do |i|
        assignments = i.curator_assignments.pluck(:id)
        activities = PublicActivity::Activity.where(trackable_id: assignments, trackable_type: "CuratorAssignment")
        activities.destroy_all
        i.destroy
      end
    end
  end

end
