
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

require 'rails_helper'
require 'rspec_api_documentation'
require 'rspec_api_documentation/dsl'
require 'spec_helper'

RSpec.shared_context "authenticate_user", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'submitter')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_admin", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'admin')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_submitter", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'submitter')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_publisher", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'publisher')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_curator", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'curator')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_moderator", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'moderator')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_editor", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'editor')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_supervisor", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'supervisor')])
    @auth_headers = @user.create_new_auth_token
  end

end

RSpec.shared_context "authenticate_user_partner", shared_context: :metadata do
  let(:auth_client) { @auth_headers['client'] }
  let(:uid) { @auth_headers['uid'] }
  let(:access_token) { @auth_headers['access-token'] }
  let(:role) { Role.all }

  before do
    @user = create(:user, roles: [role.find_by(name: 'partner')])
    @auth_headers = @user.create_new_auth_token
  end

end
