
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

RSpec.shared_examples "a list" do |url, object, klass|
  get url do
    parameter :limit, 'Limit of #{object}'
    parameter :offset, 'Offset of #{object}'

    let(:list) { object.all }
    let(:limit) { 12 }
    let(:offset) { 0 }

    example_request 'Get a list of ' + klass do
      expect(JSON.parse(response_body).map { |o| o['id'] }.sort).to eq(object.limit(limit).offset(offset).pluck(:id).sort)
      expect(status).to eq(200)
    end
  end
end
